Subject: bug#32769: Packaging Next browser (Common Lisp) [work in progress]

From: Andy Patterson <[email-masked]>
Date: Fri, 12 Oct 2018 01:51:20 -0400

Hi Pierre,

On Thu, 11 Oct 2018 12:44:43 +0200
Pierre Neidhardt <[email-masked]> wrote:

> You were right, this was the issue.  I've posted a patch upstream, it
> should be fixed soon.
> 
> Now Next compiles.  Hurray!!! :D

Nice.

> 
> There is one last step though: the .asd bunble works, but not the
> "build-program".
> See the wip-nextbrowser for what I've tried.  I've re-used the code
> from Stumpwm.
> 
> I narrowed down the issue to the "generate-executable" function:
> 
> [...]
> 
> The problem is that Next's system is called "next/gtk", but we cannot
> use that as an out-file.  If I use something else, say "next", then
> compilation fails with
> 
> --8<---------------cut here---------------start------------->8---
>   Component :NEXT not found, required by #<SYSTEM "next-exec">
> --8<---------------cut here---------------end--------------->8---
> 
> I guess there is a flaw in the logic here.  The system name should be
> 
> 	#:asd-system-name
> 
> and not
> 
> 	(name (basename out-file))
> 
> What shall we do?
> 

That seems right.  I guess we'll need to update that and then maybe
also normalize the generated asd.  Doesn't seem like it'd be too
difficult; there just weren't enough examples of program-generating
systems for this to get caught.

Thanks for the update,

--
Andy